@REM Copyright IBM Corp. 2007
@REM
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off

setlocal
set TEMP_DIR=%~2
set WB_DIR=%~1
set RA_DIR=%WB_DIR%\Resource Adapters
set ADAPTER_1=JDBC
set ADAPTER_2=SAP
set ADAPTER_3=FlatFile
set WORKING_DIR=%RA_DIR%\%ADAPTER_1%
if not exist "%WORKING_DIR%" goto wps_error

if exist "%WORKING_DIR%\backup" rd /s /q "%WORKING_DIR%\backup"

xcopy "%WORKING_DIR%" "%RA_DIR%\%ADAPTER_1%_temp" /i /s /e /r /h /y>nul
pushd "%RA_DIR%\%ADAPTER_1%_temp"
xcopy "%RA_DIR%\%ADAPTER_1%_temp" "%WORKING_DIR%\backup" /i /s /e /r /h /y>nul
popd
rd /s /q "%RA_DIR%\%ADAPTER_1%_temp"


set WORKING_DIR=%RA_DIR%\%ADAPTER_2%
if not exist "%WORKING_DIR%" goto wps_error

if exist "%WORKING_DIR%\backup" rd /s /q "%WORKING_DIR%\backup"

xcopy "%WORKING_DIR%" "%RA_DIR%\%ADAPTER_2%_temp" /i /s /e /r /h /y>nul
pushd "%RA_DIR%\%ADAPTER_2%_temp"
xcopy "%RA_DIR%\%ADAPTER_2%_temp" "%WORKING_DIR%\backup" /i /s /e /r /h /y>nul
popd
rd /s /q "%RA_DIR%\%ADAPTER_2%_temp"


set WORKING_DIR=%RA_DIR%\%ADAPTER_3%
if not exist "%WORKING_DIR%" goto wps_error

if exist "%WORKING_DIR%\backup" rd /s /q "%WORKING_DIR%\backup"

xcopy "%WORKING_DIR%" "%RA_DIR%\%ADAPTER_3%_temp" /i /s /e /r /h /y>nul
pushd "%RA_DIR%\%ADAPTER_3%_temp"
xcopy "%RA_DIR%\%ADAPTER_3%_temp" "%WORKING_DIR%\backup" /i /s /e /r /h /y>nul
popd
rd /s /q "%RA_DIR%\%ADAPTER_3%_temp"


pushd "%TEMP_DIR%"
xcopy uninstall.bat .. /r /y > nul
popd

:wps_error
