@REM Copyright IBM Corp. 2006
@REM
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off

setlocal

set WB_DIR=%~1
set RA_DIR=%WB_DIR%\Resource Adapters\
set ADAPTER_1=JDBC
set ADAPTER_2=SAP
set ADAPTER_3=FlatFile

if not exist "%RA_DIR%\%ADAPTER_1%\backup" then goto wps_error

pushd "%RA_DIR%\%ADAPTER_1%"
xcopy backup "%RA_DIR%\backup_temp" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\%ADAPTER_1%"
xcopy "%RA_DIR%\backup_temp" "%RA_DIR%\%ADAPTER_1%" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\backup_temp"
popd

if not exist "%RA_DIR%\%ADAPTER_2%\backup" then goto wps_error

pushd "%RA_DIR%\%ADAPTER_2%"
xcopy backup "%RA_DIR%\backup_temp" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\%ADAPTER_2%"
xcopy "%RA_DIR%\backup_temp" "%RA_DIR%\%ADAPTER_2%" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\backup_temp"
popd

if not exist "%RA_DIR%\%ADAPTER_3%\backup" then goto wps_error

pushd "%RA_DIR%\%ADAPTER_3%"
xcopy backup "%RA_DIR%\backup_temp" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\%ADAPTER_3%"
xcopy "%RA_DIR%\backup_temp" "%RA_DIR%\%ADAPTER_3%" /i /s /e /r /h /y>nul
rd /s /q "%RA_DIR%\backup_temp"
popd

:wps_error
